var utils = implement("fiskheroes:external/utils");

function init(hero) {
    hero.setName("Green Pheonix");
    hero.setTier(9);

    hero.setChestplate("Suit");

    hero.addPowers("eden:ecosphere");
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 100.0, 1);

    hero.addKeyBind("TENTACLES", "Root Tentacles", 1);
    hero.addKeyBind("TENTACLE_JAB", "key.tentacleJab", 5);
    hero.addKeyBind("TENTACLE_GRAB", "key.tentacleGrab", 4);
    hero.addKeyBind("HEAT_VISION", "key.heatVision", 2);

}